# Copyright (c) 2015 Dave Love, Liverpool University
# MIT licence, per Fedora policy.

Name:		mcsim
Version:	6.2.0
Release:	1%{?dist}
Summary:	Monte Carlo simulation package
License:	GPLv3+
Group:		Applications/Engineering
URL:		https://www.gnu.org/software/mcsim
Source0:	ftp://ftp.gnu.org/gnu/mcsim/mcsim-%version.tar.gz
BuildRequires:	dos2unix gsl-devel gcc
Requires(preun): info
Requires(post): info


%description

GNU MCSim is a simulation package, written in C, which allows you to:
* design your own statistical or simulation models (eventually dynamic,
  via ODEs),
* perform Monte Carlo stochastic simulations,
* do Bayesian inference through Markov Chain Monte Carlo simulations.

%package devel
Summary: Development files for %name
Requires: %name%{?_isa} = %version-%release

%description devel
Development files for %name

%package doc
Summary: Documentation for %name
BuildArch:	noarch

%description doc
Documentation for %name


%prep
%setup -q
chmod -x examples/SBML/C_{periph,central}.xml
dos2unix examples/SBML/C_{periph,central}.xml


%build
%configure
# gets executed by "make check" (!)
chmod +x examples/perc/Makefile
%make_build


%install
%make_install
mkdir %buildroot%_includedir/mcsim
mv %buildroot%_includedir/*.h %buildroot%_includedir/mcsim
rm %buildroot%_infodir/dir


%check
# Fixme: timing out after a day on aarch64
%ifnarch aarch64
make check
# avoid installing
rm -f examples/perc/{mcsim.perc,model.c} examples/perc/Makefile{,.log,.trs}
%endif

%post
/sbin/ldconfig
/sbin/install-info %_infodir/%name.info %_infodir/dir || :

%postun -p /sbin/ldconfig

%preun
/sbin/install-info --delete %_infodir/%name.info %_infodir/dir || :


%files
%license COPYING
%exclude %_libdir/libmcsim.*a
%_libdir/libmcsim.so.*

%files devel
%_includedir/mcsim
%_datadir/mcsim
%_libdir/libmcsim.so
%_bindir/*

%files doc
# NEWS is empty
%doc AUTHORS doc/mcsim.html doc/mcsim.pdf examples
%license COPYING
%_infodir/mcsim.info*


%changelog
* Thu Jun  4 2020 Dave Love <loveshack@fedoraproject.org> - 6.2.0-1
- New version, installing info
- Don't run check on aarch64

* Sun Jan 22 2017 Dave Love <loveshack@fedoraproject.org> - 5.6.6-1
- New version

* Mon Jan  4 2016 Dave Love <loveshack@fedoraproject.org> - 5.6.3-1
- New version

* Mon Dec 21 2015 Dave Love <loveshack@fedoraproject.org> - 5.6.1-1
- New version

* Wed Dec 16 2015 Dave Love <loveshack@fedoraproject.org> - 5.6.0-1
- Initial packaging
